<?php
/**
 * index.php 
 *
 * File with markup for template layout and Website Baker template functions.
 * 
 * LICENSE: GNU General Public License Version 2
 *
 * @author		   Daniel Fuhrmannek http://danfuh.de
 * @copyright	   Daniel Fuhrmannek (c) March, 2010
 * @license		   URL to license used (http://www.gnu.org/licenses/gpl-2.0.html)
 * @license_terms  The reference to the author below the design (in the footer) and in the 
 *                 source code may not be modified or removed.
 * @template_name  DanFuh Business 03
 * @version		   0.1
 * @platform	   Website Baker 2.8.x
*/

/***************************************************************
****************************************************************
***     _____              ______     _           _          ***
***    |  __ \            |  ____|   | |         | |         ***
***    | |  | | __ _ _ __ | |__ _   _| |__     __| | ___     ***
***    | |  | |/ _` | '_ \|  __| | | | '_ \   / _` |/ _ \    ***
***    | |__| | (_| | | | | |  | |_| | | | | | (_| |  __/    ***
***    |_____/ \__,_|_| |_|_|   \__,_|_| |_(_)___,_|\___|    ***
***    Template and Design by Daniel Fuhrmannek danfuh.de    ***
***                                                          ***
****************************************************************
***************************************************************/

// EN: START redirect if this file is invoked directly
// DE: ANFANG Umleitung, wenn diese Datei direkt aufgerufen wird
if (!defined('WB_URL')) {
  header('Location: ../index.php');
  exit(0);
}
// EN: END redirect if this file is invoked directly
// DE: ENDE Umleitung, wenn diese Datei direkt aufgerufen wird

// Include some stuff
require_once("includes.php"); 
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="<?php print $content_language_output; ?>">
<?php print $brand; ?> 
<head>
  <title><?php page_title(' ', '[WEBSITE_TITLE][SPACER][PAGE_TITLE]'); ?></title>
  
  <meta http-equiv="Content-Type" content="text/html; charset=<?php 
        if(defined('DEFAULT_CHARSET')) { print DEFAULT_CHARSET; } else { print 'utf-8'; }?>" />
  <?php if ($description_output != "") { 
          print "<meta name=\"description\" content=\"".$description_output."\" />\n"; 
  } if ($keywords_output != "") { print "<meta name=\"keywords\" content=\"".$keywords_output."\" />\n"; } ?>
  <meta name="Generator" content="<?php print $generator_output; ?>" />
  <meta name="audience" content="<?php print $audience_output; ?>" />
  <meta http-equiv="content-language" content="<?php print $content_language_output; ?>" />
  <meta name="robots" content="index, follow" />
<?php
	$print_or_screen = (!array_key_exists('page', $_GET) || ($_GET['page']!='print')) ? 'print' : 'screen';
?>

  <link rel="stylesheet" href="<?php print TEMPLATE_DIR; ?>/css/style.css" type="text/css" media="screen" />
  <link rel="stylesheet" href="<?php print TEMPLATE_DIR; ?>/css/print.css" type="text/css" media="<?php 
        print $print_or_screen ?>" />
  <link rel="shortcut icon" href="<?php print TEMPLATE_DIR; ?>/images/favicon.ico" />
  <?php
  if(function_exists('register_frontend_modfiles')) {
    register_frontend_modfiles('css');
    register_frontend_modfiles('js');
  } ?>

<!--[if IE]>
  <style type="text/css">#content { width: 898px; }</style>
<![endif]-->

</head>

<body>
<div id="top">
  <div id="header">
    <a class="logo" href="<?php print WB_URL; ?>">
      <img src="<?php print TEMPLATE_DIR; ?>/images/logo.png" width="223" height="108" border="0" alt="<?php 
        page_title('', '[WEBSITE_TITLE]'); ?>" />
    </a>
<?php if (WEBSITE_HEADER) { ?>
    <span id="header_text"><?php print $website_header_output; ?></span>
<?php } else { print "&nbsp;"; } ?>
  </div>
</div>
<div id="topmenu_outer">
  <div class="topmenu">
<?php print $menutop."\n"; ?>
  </div>
</div>
<div id="content">
<?php print "  <div id=\"breadcrumb\">\n    ".$breadcrumbnavi."\n  </div>\n"; // EN: breadcrumb navigation - DE: Brotkrumenavigation ?>
<?php if ((SECTION_BLOCKS) AND ($block2output != "")) { ?>
  <div id="block2output">
    <?php print $block2output."\n"; ?>
  </div>
<?php } ?>
  <div id="content_right">
    <?php print $content1output."\n"; ?>
    <div id="toplink_print">
      <a href="#top"><span><?php print $toplink; ?></span></a>
      <a href="<?php print $_SERVER['REQUEST_URI'].$connection_symbol."page=print"; 
        ?>"  onclick="window.print();return false;" target="_blank">
        <span>
          <img src="<?php 
            print TEMPLATE_DIR; ?>/images/print.gif" alt="<?php print $printtext; ?>" title="<?php 
            print $printtext; ?>" border="0" width="28" height="24" />
        </span>
      </a>
    </div>
  </div>
  <div id="content_left">
<?php if(SHOW_SEARCH) { ?>
    <div id="sidebar_search">
      <span class="sidebar_header"><?php print $TEXT['SEARCH']; ?></span><br /><br />
      <form name="search" action="<?php print WB_URL; ?>/search/index.php" method="get">
        <input type="hidden" name="referrer" value="<?php print defined('REFERRER_ID') ? REFERRER_ID : PAGE_ID; ?>" />
        <input type="text" name="string" value="<?php print $TEXT['SEARCH'].$text_search_suffix;
          ?>" onblur="if(this.value=='') this.value='<?php print $TEXT['SEARCH'].$text_search_suffix;
          ?>'" onfocus="if(this.value=='<?php print $TEXT['SEARCH'].$text_search_suffix; ?>') this.value='';" />
        <br /><br />
        <input type="submit" name="submit" value="<?php print $text_search_find ?>" class="submit" />
      </form>
    </div>
<?php } ?>

<?php if ((SECTION_BLOCKS) AND ($block5output != "")) { ?>
    <div id="block5output">
      <?php print $block5output."\n";; ?>
    </div>
<?php } ?>

<?php if ($menuside != "") { ?>
    <div id="sidebar_menu">
      <span class="sidebar_header"><?php print $text_menu_header; ?></span><br /><br />
      <?php print $menuside."\n"; ?>
    </div>
<?php } ?>
            
<?php if (FRONTEND_LOGIN) { ?>
<?php if(!$wb->is_authenticated()) { ?> 
    <div id="menuside_login">
      <span class="sidebar_header"> <?php print $TEXT['LOGIN']; ?></span><br /><br />
      <form name=\"login\" action="<?php print LOGIN_URL; ?>" method="post">
        <?php print $TEXT['USERNAME']; ?><br />
        <input type="text" name="username" id="sidebar_login_name"/><br />
        <?php print $TEXT['PASSWORD']; ?><br />
        <input type="password" name="password" id="sidebar_login_pass"/><br /><br />
        <input type="submit" name="submit" value="<?php print $TEXT['LOGIN']; ?>" id="sidebar_login_submit" class="submit" />
        <br /><br />
        <a href="<?php print FORGOT_URL; ?>"><?php print $TEXT['FORGOT_DETAILS']; ?></a>
<?php if(is_numeric(FRONTEND_SIGNUP)) { ?>
          <a href="<?php print SIGNUP_URL; ?>"><?php print $TEXT['SIGNUP']; ?></a>
<?php } ?>
      </form>
<?php } elseif($wb->is_authenticated()) { 
          $user_id = $wb->get_user_id(); ?>
    <div id="menuside_login">
      <span class="sidebar_header"><?php print $TEXT['LOGGED_IN']; ?></span><br /><br />
      <form name="logout" action="<?php print LOGOUT_URL; ?>" method="post">
        <?php print $TEXT['WELCOME_BACK']; ?>,<br />
        <b><?php print userdata($user_id,'display_name'); ?></b>
        (<?php print userdata($user_id,'username'); ?>)<br /><br />
        <small><?php print userdata($user_id,'login_when')." <span style=\"text-transform: lowercase;\">".$TEXT['FROM']."</span>"; ?>
        <?php print " IP: ".userdata($user_id,'login_ip'); ?></small><br /><br />
        <a href="<?php print PREFERENCES_URL; ?>"><?php print $TEXT['CHANGE_SETTINGS']; ?></a>
        <br /><br />
        <input type="submit" name="submit" value="<?php print $MENU['LOGOUT']; ?>" id="sidebar_login_submit" />
      </form>
  <?php } ?>
    </div>
<?php } ?>

<?php if ((SECTION_BLOCKS) AND ($block6output != "")) { ?>
    <div id="block6output">
      <?php print $block6output."\n"; ?>
    </div>
<?php } ?>
    <div id="w3logos">
      <a href="http://validator.w3.org/check?uri=referer" target="_blank">
        <img src="<?php print TEMPLATE_DIR; ?>/images/valid-xhtml10.gif" alt="<?php 
          print $text_xhtml_valid; ?>" height="31" width="88" />
      </a>
      <a href="http://jigsaw.w3.org/css-validator/check/referer" target="_blank">
        <img src="<?php print TEMPLATE_DIR; ?>/images/valid-css2.gif" alt="<?php print $text_css_valid; ?>" />
      </a>
    </div>
<?php if ((SECTION_BLOCKS) AND ($block7output != "")) { ?>
    <div id="block7output">
      <?php print $block7output."\n"; ?>
    </div>
<?php } ?>
  </div>

<?php if ((SECTION_BLOCKS) AND ($block3output != "")) { ?>
  <div id="block3output">
    <?php print $block3output."\n"; ?>
  </div>
<?php } ?>
</div>
<div id="footer">
  <div id="footer_content">
    <div id="footermenu">
      <?php  if ((MULTIPLE_MENUS) AND ($footermenu != "")) { 
        print $footermenu."\n";
      } else { 
        page_title('', '[WEBSITE_TITLE]');
      } ?>
    </div>
<?php if ($page_footer_output != "") { ?>
    <div id="content_footer">
      <?php print $page_footer_output."\n";; ?>
    </div>
<?php } ?>
<?php if ((SECTION_BLOCKS) AND ($block4output != "")) { ?>
  <div id="block4output">
    <?php print $block4output."\n"; ?>
  </div>
<?php } ?>
    <div id="licenselink">
      <?php print $footerlink."\n"; ?>
    </div>
  </div>
</div>
</body>
</html>